lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'telegram/bot/version'

Gem::Specification.new do |s|
  s.name          = 'dialog_bot_ruby'
  s.version       = Telegram::Bot::VERSION
  s.authors       = ['Alexander Tipugin', 'Eugene Istomin']
  s.email         = ['atipugin@gmail.com', 'info@innosense.org']
  s.license       = 'CC-BY-SA-4.0'

  s.summary       = "Ruby wrapper for Telegram's Bot API"
  s.homepage      = 'https://gitlab.com/Innosense/libs/dialog_bot_ruby'

  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir        = 'exe'
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_runtime_dependency 'faraday',   '~> 0.15'
  s.add_runtime_dependency 'virtus',    '~> 1.0'
  s.add_runtime_dependency 'inflecto',  '~> 0.0.2'
  s.add_runtime_dependency  'socksify',     '~> 1.7'  

  s.add_development_dependency 'bundler',   '~> 1.9'
  s.add_development_dependency 'rake',      '~> 10.0'
  s.add_development_dependency 'pry',       '~> 0'
  s.add_development_dependency 'rubocop',   '~> 0.48.1'
  s.add_development_dependency 'rspec',     '~> 3.4'
  s.add_development_dependency 'rubocop-rspec', '~> 1.8'
end
